Re: Ignite Version C.7.16.283 - Will Not Backup A Version 2.1 Volume Group...? (240 Views)
Reply
Advisor
PHSC
Posts: 32
Registered: ‎04-22-2013
Message 1 of 5 (262 Views)
Accepted Solution

Ignite Version C.7.16.283 - Will Not Backup A Version 2.1 Volume Group...?

Greetings...I have a rx3600 server running 11.31.0809.  The machine has the FEATURE11i, HWEnable &  Quality pack bundles installed for March 2012.

 

I have installed Ignite C.7.16.283 and removed the older versions.  I've installed this version on various other machines OK.

 

  IGNITE                                   C.7.16.283     HP-UX Installation Utilities (Ignite-UX)
  Ignite-UX-11-31               C.7.16.283     HP-UX Installation Utilities for installing 11.31 Systems

 

When running a HPUX backup it fails (log below) due to the volume group version:

 

time make_tape_recovery -A
       * Creating local directories for configuration files and archive.
 
=======  01/28/14 10:00:24 GMT  Started make_tape_recovery. (Tue Jan 28
         10:00:24 GMT 2014)
         @(#)Ignite-UX Revision C.7.16.283
         @(#)ignite/net_recovery (opt) Revision:
         /branches/IUX_RA1303/ignite/src@85339 Last Modified: 2013-01-18
         09:48:01 +0530 (Fri, 18 Jan 2013)
 
       * Checking Versions of Ignite-UX filesets
       * Scanning system for IO devices...
WARNING: SIOC_VPD_INQUIRY ioctl failed to retrieve data for control device
         0/7/1/0.0x7.0x0: Invalid argument.
       * Boot device is: 0/4/1/0.0xb11032b4a28a213.0x0
       * Creating System Configuration.
WARNING: The volume group /dev/vg01 will be only partially included in the
         System Recovery Archive.  This means that not all files and
         directories on this volume group will be restored when the archive is
         installed.  This message can be suppressed using the "-P s" option for
         make_tape_recovery. See make_tape_recovery(1M) for more details.
 
       * /opt/ignite/bin/save_config -f
         /var/opt/ignite/recovery/2014-01-28,10:00/system_cfg vg00 vg01
System is configured with one or more LVM volume groups having volume group vers ion 2.0 or 2.1. These volume groups must either be excluded from selection or converted to volume group version 2.2 using vgversion command.
 
Below is the list of LVM volume groups with volume group versions 2.0 or 2.1:
vg01
 
save_config: Error - Unable to save the hardware configuration of the system.
ERROR:   /opt/ignite/bin/save_config failed
 
=======  01/28/14 10:00:38 GMT  make_tape_recovery completed unsuccessfully
 
real       14.4
user        0.4
sys         0.5

 

The server volume group versions are as follows:

 

VG Name                     /dev/vg00

VG Version                  1.0

 

VG Name                     /dev/vg01

VG Version                  2.1

 

VG Name                     /dev/vg02

VG Version                  2.1

 

Anyone know why this reletively new version of Ignite will not backup a reletively volume group version?  Anyone come across this before?

 

I don't fancy having to organize downtime just to attempt to convert the volume group version and hope for the best...

 

Thanks

Please use plain text.
Honored Contributor
Patrick Wallek
Posts: 13,718
Registered: ‎06-21-2000
Message 2 of 5 (245 Views)

Re: Ignite Version C.7.16.283 - Will Not Backup A Version 2.1 Volume Group...?

I found the following statement in the Ignite/UX Release Notes in the notes for version C.7.10:

 

"NOTE: Ignite-UX does not support either LVM volume group versions 2.0 or 2.1 for HP-UX 11i v3."

 

and also:

 

"Ignite-UX now supports boot, dump, swap and data volumes for LVM volume group version 2.2 for HP-UX 11iv3, as well as the earlier version 1.0."

 

The latest version of the Ignite/UX release notes (from Nov. 2013) are located here:

 

http://h20565.www2.hp.com/portal/site/hpsc/template.BINARYPORTLET/public/kb/docDisplay/resource.proc...

Please use plain text.
Advisor
PHSC
Posts: 32
Registered: ‎04-22-2013
Message 3 of 5 (240 Views)

Re: Ignite Version C.7.16.283 - Will Not Backup A Version 2.1 Volume Group...?

Thanks for that Patrick, nice one.

 

I was suspecting something similar to this but had not tracked down the release notes.  I'll read through them.

 

I've downloaded the latest version of Ignite for 11.31 and the latest PAX patch (as suggested by the install notes):

 

HP-UX_11i_v3_HP-UX_11i_v3_Ignite-UX-11.31_C.7.17.391_HP-UX_B.11.00_32_64.depot

HP-UX_11.31_IA_PA_HP-UX_11.31_IA_PA_pax_enh_1131_ver16.depot

 

I'll install these on Wed 29/01/14 and check the results.

Please use plain text.
Honored Contributor
Bill Hassell
Posts: 14,178
Registered: ‎05-29-2000
Message 4 of 5 (233 Views)

Re: Ignite Version C.7.16.283 - Will Not Backup A Version 2.1 Volume Group...?

Ignite is one of those products that you put on at least a yearly update. If you have at least a C.7 version installed already, the newer version will properly replace the old once. Anything older, it is recommended to swremove the Ignite product and install the latest version. Note that existing archives and settings are not changed.

 

Ignite is very dependent on hardware (I/O, processors, disks, tape drives, internal controllers) as well as LVM and VxVM features. So unless you change nothing (ie, patches, I/O cards, peripherals), Ignite should allways be up to date.

 

An overlooked option in the make_net_recovery command is the -u to update the client to match the version on the Ignite server.

 

Also check the main Ignite website at: http://hp.com/go/ignite-ux

 

Please use plain text.
Advisor
PHSC
Posts: 32
Registered: ‎04-22-2013
Message 5 of 5 (224 Views)

Re: Ignite Version C.7.16.283 - Will Not Backup A Version 2.1 Volume Group...?

Yeah, it simply looks like LVM version 2.1 is not supported and the volume group would need converting to version 2.2.

 

Thanks.

Please use plain text.
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation